html.no-shadows,
html.no-shadows *:not(.loader):not(.loader *) {
    box-shadow: none !important;
}

:root {
    --background-gray: #2b2a2a;
}

body.journal-login-page {
    height: 100vh;
    margin: 0;
    background-color: var(--background-gray);
    background-image: url("./icons/triangles.svg");
    backdrop-filter: blur(10px);
}

.login-window h2 {
    font-size: 50px;
    color: #455174;
    text-align: center;
    display: flex;
    flex-direction: column;
}

.login-form {
    text-align: start;
    position: absolute;
    box-shadow: 0px 5px 52px 2px rgba(34, 60, 80, 0.34);
    backdrop-filter: brightness(120%);
    left: 50%;
    top: 50%;
    padding: 20px;
    width: 400px;
    height: 300px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    border-radius: 30px;
    transform: translate(-50%, -50%);
}

.login-form.loading form {
    display: none;
}

.login-form .loader {
    align-self: center;
    display: none;
    margin: 0;
    color: #455174;
}

.login-form.loading .loader {
    display: block;
}

.error-text {
    color: #a10000;
    text-align: center;
    visibility: hidden;
}

.loader {
    width: 8px;
    height: 40px;
    border-radius: 4px;
    display: block;
    margin: 20px auto;
    position: relative;
    background: currentColor;
    color: #FFF;
    box-sizing: border-box;
    animation: animloader 0.3s 0.3s linear infinite alternate;
}

.loader::after,
.loader::before {
    content: '';
    width: 8px;
    height: 40px;
    border-radius: 4px;
    background: currentColor;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 20px;
    box-sizing: border-box;
    animation: animloader 0.3s 0.45s linear infinite alternate;
}

.loader::before {
    left: -20px;
    animation-delay: 0s;
}

@keyframes animloader {
    0% { height: 48px; }
    100% { height: 4px; }
}
